export declare class OavSettings {
    constructor(overwriteSettings?: Partial<OavSettings>);
    /**
     * Which value of an operation is shown in the index navigation, in which order.
     * The first one is displayed if available, otherwise the nex one will be  chosen until a value is available.
     */
    indexPrimaryLabel: ('summary' | 'operationId' | 'path')[];
    /**
     * Which value is shown in the index navigation on hover.
     */
    indexHoverLabel: ('summary' | 'operationId' | 'path')[] | null;
    /**
     * Which value of an operation is shown in the overview navigation, in which order.
     * The first one is displayed if available, otherwise the nex one will be  chosen until a value is available.
     */
    overviewPrimaryLabel: ('summary' | 'operationId')[];
    /**
     * Whether to show the option to display the raw operation definition on the operation page.
     */
    showRawOperationDefinition: boolean;
    /**
     * Show raw model definitions
     */
    showRawModelDefinition: boolean;
    /**
     * Whether authentication is enabled.
     * - Status is shown at operations
     * - Authentication page is shown, where a user can enter credentials
     */
    enableAuthentication: boolean;
    /**
     * Show the models overview page
     */
    enableModelsOverview: boolean;
}
export declare const defaultOavSettings: OavSettings;
