import { SchemaObject } from 'openapi3-ts';
export interface ModelInfo {
    name: string;
    type: string;
    schema: SchemaObject;
    properties?: PropertyInfo[] | null;
    open?: boolean;
}
export interface PropertyInfo extends ModelInfo {
    required: boolean;
    modelName?: string;
}
export interface SchemaInfo extends ModelInfo {
    additionalModels: ModelInfo[];
}
export declare function identifySchemaInfo(defaultName: string, schema: SchemaObject): SchemaInfo;
export declare function identifyModelInfo(defaultName: string, schema: SchemaObject, additionalModels: ModelInfo[]): ModelInfo;
